package com.wms.service.business;

/**
 * Wms定时任务服务接口
 */
public interface IWmsJobService {
    /**
     * 执行普通任务
     * @throws Exception 异常用于回滚事务
     */
    void sendCommonTasks() throws Exception;

    /**
     * 下发拣选出库任务
     * @throws Exception 异常
     */
    void sendPickOutTasks() throws Exception;

    /**
     * 发送拣选任务
     * @throws Exception 异常用于回滚事务
     */
    void sendPickTasks() throws Exception;

    /**
     * 发送重复入库修正后的任务
     * @throws Exception 异常用于回滚
     */
    void solveDuplicateTask() throws Exception;

    /**
     * 定期清除日志数据
     */
    void deleteLogsRegularly();

    /**
     * 定期清除记录数据
     */
    void deleteRecordsRegularly();
}
